-i https://pypi.org/simple
aiofiles==23.2.1; python_version >= '3.7'
aiohttp==3.9.5; python_version >= '3.8'
aiosignal==1.3.1; python_version >= '3.7'
alembic==1.13.2; python_version >= '3.8'
aniso8601==9.0.1
annotated-types==0.7.0; python_version >= '3.8'
antlr4-python3-runtime==4.9.3
anyio==4.4.0; python_version >= '3.8'
argon2-cffi==23.1.0; python_version >= '3.7'
argon2-cffi-bindings==21.2.0; python_version >= '3.6'
async-timeout==4.0.3; python_full_version < '3.11.3'
attrs==23.2.0; python_version >= '3.7'
backoff==2.2.1; python_version >= '3.7' and python_version < '4.0'
bc-detect-secrets==1.5.9; python_version >= '3.8'
beanie==1.26.0; python_version >= '3.7' and python_version < '4.0'
beautifulsoup4==4.12.3; python_full_version >= '3.6.0'
blinker==1.8.2; python_version >= '3.8'
blis==0.7.11
cachetools==5.3.3; python_version >= '3.7'
catalogue==2.0.10; python_version >= '3.6'
certifi==2024.6.2; python_version >= '3.6'
cffi==1.16.0; platform_python_implementation != 'PyPy'
chardet==5.2.0; python_version >= '3.7'
charset-normalizer==3.3.2; python_full_version >= '3.7.0'
click==8.1.7; python_version >= '3.7'
cloudpathlib==0.18.1; python_version >= '3.7'
cloudpickle==3.0.0; python_version >= '3.8'
coloredlogs==15.0.1; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
confection==0.1.5; python_version >= '3.6'
contourpy==1.2.1; python_version >= '3.9'
cryptography==42.0.8; python_version >= '3.7'
cycler==0.12.1; python_version >= '3.8'
cymem==2.0.8
dataclasses-json==0.6.7; python_version >= '3.7' and python_version < '4.0'
deepdiff==7.0.1; python_version >= '3.8'
deprecated==1.2.14; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
dirtyjson==1.0.8
distro==1.9.0; python_version >= '3.6'
dnspython==2.6.1; python_version >= '3.8'
docker==7.1.0; python_version >= '3.8'
effdet==0.4.1
emoji==2.12.1; python_version >= '3.7'
entrypoints==0.4; python_version >= '3.6'
et-xmlfile==1.1.0; python_version >= '3.6'
exceptiongroup==1.2.1; python_version < '3.11'
faker==24.14.1; python_version >= '3.8'
fastapi==0.110.0; python_version >= '3.8'
filelock==3.15.4; python_version >= '3.8'
filetype==1.2.0
flask==3.0.3; python_version >= '3.8'
flatbuffers==24.3.25
fonttools==4.53.0; python_version >= '3.8'
frozenlist==1.4.1; python_version >= '3.8'
fsspec==2024.6.1; python_version >= '3.8'
fuzzysearch==0.7.3
gitdb==4.0.11; python_version >= '3.7'
gitpython==3.1.43; python_version >= '3.7'
google-api-core[grpc]==2.19.1; python_version >= '3.7'
google-auth==2.31.0; python_version >= '3.7'
google-cloud-vision==3.7.2
googleapis-common-protos==1.63.2; python_version >= '3.7'
graphene==3.3
graphql-core==3.2.3; python_version >= '3.6' and python_version < '4'
graphql-relay==3.2.0; python_version >= '3.6' and python_version < '4'
greenlet==3.0.3; python_version < '3.13' and platform_machine == 'aarch64' or (platform_machine == 'ppc64le' or (platform_machine == 'x86_64' or (platform_machine == 'amd64' or (platform_machine == 'AMD64' or (platform_machine == 'win32' or platform_machine == 'WIN32')))))
grpcio==1.64.1; python_version >= '3.8'
grpcio-status==1.62.2
grpcio-tools==1.62.2; python_version >= '3.7'
gunicorn==22.0.0; platform_system != 'Windows'
h11==0.14.0; python_version >= '3.7'
h2==4.1.0
hpack==4.0.0; python_full_version >= '3.6.1'
httpcore==1.0.5; python_version >= '3.8'
httptools==0.6.1
httpx[http2]==0.27.0; python_version >= '3.8'
huggingface-hub==0.23.4; python_full_version >= '3.8.0'
humanfriendly==10.0; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
hyperframe==6.0.1; python_full_version >= '3.6.1'
idna==3.7; python_version >= '3.5'
importlib-metadata==7.1.0; python_version >= '3.8'
iniconfig==2.0.0; python_version >= '3.7'
iopath==0.1.10; python_version >= '3.6'
itsdangerous==2.2.0; python_version >= '3.8'
jinja2==3.1.4; platform_system != 'Windows'
joblib==1.4.2; python_version >= '3.8'
json-repair==0.17.4; python_version >= '3.7'
jsonpath-python==1.0.6; python_version >= '3.6'
kiwisolver==1.4.5; python_version >= '3.7'
langcodes==3.4.0; python_version >= '3.8'
langdetect==1.0.9
language-data==1.2.0
layoutparser==0.3.4; python_version >= '3.6'
lazy-model==0.2.0; python_version >= '3.7' and python_version < '4.0'
llama-index-core==0.10.44; python_version < '4.0' and python_full_version >= '3.8.1'
llama-index-embeddings-ollama==0.1.2; python_version < '4.0' and python_full_version >= '3.8.1'
llama-index-embeddings-openai==0.1.10; python_version < '4.0' and python_full_version >= '3.8.1'
llama-index-llms-ollama==0.1.5; python_version < '4.0' and python_full_version >= '3.8.1'
llama-index-llms-openai==0.1.24; python_version < '4.0' and python_full_version >= '3.8.1'
llama-index-llms-openai-like==0.1.2; python_version < '3.12' and python_full_version >= '3.8.1'
llama-index-vector-stores-qdrant==0.2.9; python_version < '3.13' and python_version >= '3.9'
llamaindex-py-client==0.1.19; python_version >= '3.8' and python_version < '4'
llm-guard==0.3.13; python_version < '3.12' and python_version >= '3.9'
loguru==0.7.2; python_version >= '3.5'
lxml==5.2.2; python_version >= '3.6'
mako==1.3.5; python_version >= '3.8'
marisa-trie==1.2.0; python_version >= '3.7'
markdown==3.6; python_version >= '3.8'
markdown-it-py==3.0.0; python_version >= '3.8'
markupsafe==2.1.5; python_version >= '3.7'
marshmallow==3.21.3; python_version >= '3.8'
matplotlib==3.9.0; python_version >= '3.9'
mdurl==0.1.2; python_version >= '3.7'
minio==7.2.5
mlflow==2.13.2; python_version >= '3.8'
motor==3.4.0; python_version >= '3.7'
mpmath==1.3.0
multidict==6.0.5; python_version >= '3.7'
murmurhash==1.0.10; python_version >= '3.6'
mypy-extensions==1.0.0; python_version >= '3.5'
nest-asyncio==1.6.0; python_version >= '3.5'
networkx==3.3; python_version >= '3.10'
nltk==3.8.1; python_version >= '3.7'
numpy==1.26.4; python_version >= '3.9'
nvidia-cublas-cu12==12.1.3.1; platform_system == 'Linux' and platform_machine == 'x86_64'
nvidia-cuda-cupti-cu12==12.1.105; platform_system == 'Linux' and platform_machine == 'x86_64'
nvidia-cuda-nvrtc-cu12==12.1.105; platform_system == 'Linux' and platform_machine == 'x86_64'
nvidia-cuda-runtime-cu12==12.1.105; platform_system == 'Linux' and platform_machine == 'x86_64'
nvidia-cudnn-cu12==8.9.2.26; platform_system == 'Linux' and platform_machine == 'x86_64'
nvidia-cufft-cu12==11.0.2.54; platform_system == 'Linux' and platform_machine == 'x86_64'
nvidia-curand-cu12==10.3.2.106; platform_system == 'Linux' and platform_machine == 'x86_64'
nvidia-cusolver-cu12==11.4.5.107; platform_system == 'Linux' and platform_machine == 'x86_64'
nvidia-cusparse-cu12==12.1.0.106; platform_system == 'Linux' and platform_machine == 'x86_64'
nvidia-nccl-cu12==2.19.3; platform_system == 'Linux' and platform_machine == 'x86_64'
nvidia-nvjitlink-cu12==12.5.40; python_version >= '3'
nvidia-nvtx-cu12==12.1.105; platform_system == 'Linux' and platform_machine == 'x86_64'
olefile==0.47; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
omegaconf==2.3.0; python_version >= '3.6'
onnx==1.16.1
onnxruntime==1.18.1
openai==1.12.0; python_full_version >= '3.7.1'
opencv-python==4.10.0.84; python_version >= '3.6'
openpyxl==3.1.5
opentelemetry-api==1.25.0; python_version >= '3.8'
opentelemetry-sdk==1.25.0; python_version >= '3.8'
opentelemetry-semantic-conventions==0.46b0; python_version >= '3.8'
ordered-set==4.1.0; python_version >= '3.7'
packaging==24.1; python_version >= '3.8'
pandas==2.2.2; python_version >= '3.9'
pandoc==2.3
pdf2image==1.17.0
pdfminer.six==20231228
pdfplumber==0.11.1; python_version >= '3.8'
phonenumbers==8.13.40
pikepdf==9.0.0
pillow==10.4.0; python_version >= '3.8'
pillow-heif==0.17.0
pluggy==1.5.0; python_version >= '3.8'
plumbum==1.8.3; python_version >= '3.6'
ply==3.11
portalocker==2.10.0; python_version >= '3.8'
preshed==3.0.9; python_version >= '3.6'
presidio-analyzer==2.2.354
presidio-anonymizer==2.2.354; python_version >= '3.5'
proto-plus==1.24.0; python_version >= '3.7'
protobuf==4.25.3; python_version >= '3.8'
psutil==6.0.0; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4, 3.5'
pyarrow==15.0.2; python_version >= '3.8'
pyasn1==0.6.0; python_version >= '3.8'
pyasn1-modules==0.4.0; python_version >= '3.8'
pycocotools==2.0.8; python_version >= '3.9'
pycparser==2.22; python_version >= '3.8'
pycryptodome==3.20.0; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
pydantic==2.8.0; python_version >= '3.8'
pydantic-core==2.20.0; python_version >= '3.8'
pyenchant==3.2.2; python_version >= '3.5'
pygments==2.18.0; python_version >= '3.8'
pymongo==4.7.3; python_version >= '3.7'
pypandoc==1.13
pyparsing==3.1.2; python_full_version >= '3.6.8'
pypdf==4.2.0
pypdfium2==4.30.0; python_version >= '3.6'
pytesseract==0.3.10
pytest==8.2.2; python_version >= '3.8'
python-dateutil==2.9.0.post0; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
python-docx==1.1.2
python-dotenv==1.0.1
python-iso639==2024.4.27; python_version >= '3.8'
python-magic==0.4.27; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
python-multipart==0.0.9; python_version >= '3.8'
python-oxmsg==0.0.1
python-pptx==0.6.23
pytz==2024.1
pyyaml==6.0.1; python_version >= '3.6'
qdrant-client==1.9.1; python_version >= '3.8'
querystring-parser==1.2.4
rapidfuzz==3.9.4; python_version >= '3.8'
redis==5.0.3; python_version >= '3.7'
regex==2024.4.28; python_version >= '3.8'
requests==2.32.3; python_version >= '3.8'
requests-file==2.1.0
requests-toolbelt==1.0.0; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
rich==13.7.1; python_full_version >= '3.7.0'
rsa==4.9; python_version >= '3.6' and python_version < '4'
safetensors==0.4.3; python_version >= '3.7'
scikit-learn==1.5.1; python_version >= '3.9'
scipy==1.14.0; python_version >= '3.10'
setuptools==70.2.0; python_version >= '3.8'
shellingham==1.5.4; python_version >= '3.7'
six==1.16.0; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
skops==0.9.0; python_version >= '3.8'
smart-open==7.0.4; python_version >= '3.7' and python_version < '4.0'
smmap==5.0.1; python_version >= '3.7'
sniffio==1.3.1; python_version >= '3.7'
soupsieve==2.5; python_version >= '3.8'
spacy==3.7.5; python_version >= '3.7'
spacy-legacy==3.0.12; python_version >= '3.6'
spacy-loggers==1.0.5; python_version >= '3.6'
sqlalchemy[asyncio]==2.0.31; python_version >= '3.7'
sqlparse==0.5.0; python_version >= '3.8'
srsly==2.4.8; python_version >= '3.6'
starlette==0.36.3; python_version >= '3.8'
streaming-form-data==1.15.0; python_version >= '3.8'
structlog==24.2.0; python_version >= '3.8'
sympy==1.12.1; python_version >= '3.8'
tabulate==0.9.0; python_version >= '3.7'
tenacity==8.4.2; python_version >= '3.8'
thinc==8.2.5; python_version >= '3.6'
threadpoolctl==3.5.0; python_version >= '3.8'
tiktoken==0.6.0; python_version >= '3.8'
timm==1.0.7; python_version >= '3.8'
tldextract==5.1.2; python_version >= '3.8'
tokenizers==0.15.2; python_version >= '3.7'
toml==0.10.2; python_version >= '2.6' and python_version not in '3.0, 3.1, 3.2, 3.3'
tomli==2.0.1; python_version < '3.11'
torch==2.2.2; python_full_version >= '3.8.0'
torchvision==0.17.2; python_version >= '3.8'
tqdm==4.66.4; python_version >= '3.7'
transformers==4.39.3; python_full_version >= '3.8.0'
triton==2.2.0; python_version < '3.12' and platform_system == 'Linux' and platform_machine == 'x86_64'
typer==0.12.3; python_version >= '3.7'
typing-extensions==4.12.2; python_version >= '3.8'
typing-inspect==0.9.0
tzdata==2024.1; python_version >= '2'
unidiff==0.7.5
unstructured[all-docs]==0.14.9; python_version < '3.13' and python_full_version >= '3.9.0'
unstructured-client==0.23.8; python_version >= '3.8'
unstructured-inference==0.7.36
unstructured.pytesseract==0.3.12
urllib3==2.2.2; python_version >= '3.8'
uvicorn[standard]==0.30.1; python_version >= '3.8'
uvloop==0.19.0
wasabi==1.1.3; python_version >= '3.6'
watchfiles==0.22.0
weasel==0.4.1; python_version >= '3.7'
websockets==12.0
werkzeug==3.0.3; python_version >= '3.8'
wrapt==1.16.0; python_version >= '3.6'
xlrd==2.0.1
xlsxwriter==3.2.0; python_version >= '3.6'
yarl==1.9.4; python_version >= '3.7'
zipp==3.19.2; python_version >= '3.8'
